"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deps = {
    // remote
    get cli() {
        return fetch('cli-ux').default;
    },
    get HTTP() {
        return fetch('http-call').HTTP;
    },
    get Config() {
        return fetch('cli-engine-config');
    },
    get CLIFlags() {
        return fetch('cli-flags');
    },
    get chalk() {
        return fetch('chalk');
    },
    // local
    get Help() {
        return fetch('./help').Help;
    },
    get renderList() {
        return fetch('cli-ux/lib/list').renderList;
    },
};
const cache = {};
function fetch(s) {
    if (!cache[s]) {
        cache[s] = require(s);
    }
    return cache[s];
}
exports.default = exports.deps;
